Loading...
Searching...
No Matches
pdumodel::Panel Interface Reference

PMC panel. More...

Inheritance diagram for pdumodel::Panel:

## Classes

struct | CircuitCreatedEvent
| Event: A new circuit was added. More...
struct | CircuitDeletedEvent
| Event: A circuit was deleted. More...
struct | PanelSettings
| Panel settings. More...
struct | PanelSettingsChangedEvent
| Event: Panel settings have changed. More...

## Public Types

enum | LabelingScheme { SEQUENTIAL , ODD_EVEN }
| Mapping of physical circuit positions (0-based) to logical labels. More...
Public Types inherited from pdumodel::PowerMeter
enum | Type { ONE_PHASE , SPLIT_PHASE , THREE_PHASE }
| Power meter type. More...

## Public Member Functions

PanelSettings | getPanelSettings ()
| Retrieve the panel settings. More...
int | setPanelSettings (in PanelSettings settings)
| Change the panel settings. More...
map< int, Circuit > | getCircuits ()
| Retrieve the list of circuits. More...
int | createCircuit (out Circuit circuit, in Circuit::Config config, in Circuit.Settings settings)
| Create a new circuit. More...
int | deleteCircuit (in int position)
| Delete a circuit. More...
Public Member Functions inherited from pdumodel::PowerMeter
Config | getConfig ()
| Retrieve the power meter configuration. More...
Sensors | getSensors ()
| Get the power meter sensors. More...
vector< Pole > | getPoles ()
| Get the list of power meter poles. More...
vector< Controller > | getControllers ()
| Get the list of sub controllers for this power meter. More...
Settings | getSettings ()
| Retrieve the power meter settings. More...
int | setSettings (in Settings settings)
| Change the power meter settings. More...
EnergyPulseSettings | getEnergyPulseSettings ()
| Retrieve the energy LED pulse settings. More...
int | setEnergyPulseSettings (in EnergyPulseSettings settings)
| Change the energy LED pulse settings. More...

## Additional Inherited Members

Public Attributes inherited from pdumodel::PowerMeter
constant int | ERR_INVALID_PARAM = 1
| Invalid parameters.
constant int | ERR_MODBUS_UNIT_IN_USE = 2
| Modbus unit address is already in use.

## Detailed Description

PMC panel.

A panel contains:

- a three-phase power meter
- a configurable number of branch meter channels
- a configurable number of circuit positions
- configurable logical circuits combining multiple positions

## Member Enumeration Documentation

## LabelingScheme

enum pdumodel::Panel::LabelingScheme

Mapping of physical circuit positions (0-based) to logical labels.

Enumerator
SEQUENTIAL | Circuit positions 0..2 are labeled 1, 2 and 3.
ODD_EVEN | Circuit positions 0..2 are labeled 1, 3 and 5 (two columns)

## Member Function Documentation

## createCircuit()

int pdumodel::Panel::createCircuit | ( | out Circuit | circuit,
|  | in Circuit::Config | config,
|  | in Circuit.Settings | settings
| ) |  |

Create a new circuit.

Parameters

  circuit | Result: Newly created instance
  config | New circuit config
  settings | New circuit settings

Returns
  0 if OK
  1 if the circuit config or settings are invalid

## deleteCircuit()

int pdumodel::Panel::deleteCircuit | ( | in int | position | ) |

Delete a circuit.

Parameters

  position | Position of circuit to be deleted

Returns
  0 if OK
  1 if the circuit position is invalid

## getCircuits()

map< int, Circuit > pdumodel::Panel::getCircuits | ( |  | ) |

Retrieve the list of circuits.

Returns
  Configured circuits by position

## getPanelSettings()

PanelSettings pdumodel::Panel::getPanelSettings | ( |  | ) |

Retrieve the panel settings.

Returns
  Panel settings

## setPanelSettings()

int pdumodel::Panel::setPanelSettings | ( | in PanelSettings | settings | ) |

Change the panel settings.

Parameters

  settings | New panel settings

Returns
  0 if OK
  1 if any parameters are invalid

The documentation for this interface was generated from the following file:

- Panel.idl